Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 478002 - sys-apps/portage installs in /usr/lib instead of /usr/$(get_libdir)
Summary: sys-apps/portage installs in /usr/lib instead of /usr/$(get_libdir)
Status: RESOLVED INVALID
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Unclassified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-24 12:29 UTC by Hristo Venev
Modified: 2013-07-24 16:31 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hristo Venev 2013-07-24 12:29:42 UTC
--- sys-apps/portage/portage-9999.ebuild
+++ sys-apps/portage/portage-9999.ebuild
@@ -342,7 +342,7 @@
 			continue
 		fi
 		while read -r mod_dir ; do
-			cd "${ED}/usr/lib/portage/pym/${mod_dir}" || die
+			cd "${ED}/usr/$(get_libdir)/portage/pym/${mod_dir}" || die
 			files=$(echo *.py)
 			if [ -z "${files}" ] || [ "${files}" = "*.py" ]; then
 				# __pycache__ directories contain no py files
@@ -350,7 +350,7 @@
 			fi
 			dest_mod_dir=$(get_python_sitedir ${impl})/${mod_dir}
 			dodir "${dest_mod_dir}" || die
-			relative_path=../../../lib/portage/pym/${mod_dir}
+			relative_path=../../../$(get_libdir)/portage/pym/${mod_dir}
 			x=/${mod_dir}
 			while [ -n "${x}" ] ; do
 				relative_path=../${relative_path}
@@ -360,15 +360,15 @@
 				dosym "${relative_path}/${x}" \
 					"${dest_mod_dir}/${x}" || die
 			done
-		done < <(cd "${ED}"/usr/lib/portage/pym || die ; find * -type d ! -path "portage/tests*")
+		done < <(cd "${ED}"/usr/$(get_libdir)/portage/pym || die ; find * -type d ! -path "portage/tests*")
 		cd "${S}" || die
 		EPYTHON=$(get_python_interpreter ${impl}) \
 		python_compileall "$(get_python_sitedir ${impl})"
 	done
 
-	# Compile /usr/lib/portage/pym with the active interpreter, since portage
+	# Compile /usr/$(get_libdir)/portage/pym with the active interpreter, since portage
 	# internal commands force this directory to the beginning of sys.path.
-	python_compileall /usr/lib/portage/pym
+	python_compileall /usr/$(get_libdir)/portage/pym
 }
 
 pkg_preinst() {

Reproducible: Always
Comment 1 Zac Medico gentoo-dev 2013-07-24 16:05:08 UTC
All of the files installed into /usr/lib are interpreted by python or bash, so it wouldn't it be inappropriate to use get_libdir?
Comment 2 Samuli Suominen (RETIRED) gentoo-dev 2013-07-24 16:25:25 UTC
(In reply to Zac Medico from comment #1)
> All of the files installed into /usr/lib are interpreted by python or bash,
> so it wouldn't it be inappropriate to use get_libdir?

I've just closed 2 other bugs he filed, bug 477998 and another for kmod.  I'm just saying, using lib directly here seems OK to me.